/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.Caisse;

import javafx.beans.property.SimpleFloatProperty;
import javafx.beans.property.SimpleStringProperty;

/**
 *
 * @author Maher
 */
public class CaisseListe {
    
    private final SimpleStringProperty IdCaisseClt;
    
    private final SimpleStringProperty CodeType;
    //0-Vente Comptant   |    1-Vente Facilité Avance | 2 Vente Commande Avance
    //3 traite clt |  4 ChequeClt   | 5 Vente Sans Facture | 6 Vente Avoir
                            
    private final SimpleStringProperty Type;
    private final SimpleStringProperty Date;
    private final SimpleStringProperty Montant;
    private final SimpleStringProperty ChequeCltNumero;
    private final SimpleStringProperty ChequeCltBanque;
    private final SimpleStringProperty EspaceNom;
    private final SimpleStringProperty EspacePrenom;
    private final SimpleStringProperty CateBancaireNumero;
    private final SimpleStringProperty CateBancaireBanque;
    private final SimpleFloatProperty FloatMontant;
            
    public CaisseListe(String id_caisse, String code_type, String type, String date_insert, String montant, String cheque_numero, String cheque_banque, String espace_nom, String espace_prenom, String carte_numero, String carte_banque, float float_montant) {
        this.IdCaisseClt = new SimpleStringProperty(id_caisse);
        this.CodeType = new SimpleStringProperty(code_type);
        this.Type = new SimpleStringProperty(type);
        this.Date = new SimpleStringProperty(date_insert);
        this.Montant = new SimpleStringProperty(montant);
        this.ChequeCltNumero = new SimpleStringProperty(cheque_numero);
        this.ChequeCltBanque = new SimpleStringProperty(cheque_banque);
        this.EspaceNom = new SimpleStringProperty(espace_nom);
        this.EspacePrenom = new SimpleStringProperty(espace_prenom);
        this.CateBancaireNumero = new SimpleStringProperty(carte_numero);
        this.CateBancaireBanque = new SimpleStringProperty(carte_banque);
        this.FloatMontant = new SimpleFloatProperty(float_montant);
    }
    
    
    public String getIdCaisseClt() {
        return IdCaisseClt.get();
    }
    
    public String getCodeType() {
        return CodeType.get();
    }
    
    public String getType() {
        return Type.get();
    }
    
    public String getDate() {
        return Date.get();
    }
    
    public String getMontant() {
        return Montant.get();
    }
    
    public String getChequeCltNumero() {
        return ChequeCltNumero.get();
    }
    
    public String getChequeCltBanque() {
        return ChequeCltBanque.get();
    }
    
    public String getEspaceNom() {
        return EspaceNom.get();
    }
    
    public String getEspacePrenom() {
        return EspacePrenom.get();
    }
    
    public String getCateBancaireNumero() {
        return CateBancaireNumero.get();
    }
    
    public String getCateBancaireBanque() {
        return CateBancaireBanque.get();
    }
    
    public float getFloatMontant() {
        return FloatMontant.get();
    }
}
